
package de.ivu.elect.presentation.stimmeingabe.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingang;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(ErgebniseingangActionMenu.COMPONENT_NAME)
public class ErgebniseingangActionMenu extends AbstractActionMenuModelBuilder<Ergebniseingang> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "ergebniseingangActionMenu";

  @Inject
  private transient ErgebniseingangEditAction ergebniseingangEditAction;

  @Inject
  private transient ErgebniseingangWiederherstellenAction ergebniseingangWiederherstellenAction;

  @Inject
  private transient ErgebniseingangDateiAnzeigenAction ergebniseingangDateiAnzeigenAction;

  @Inject
  private transient ErgebniseingangDokumentErzeugenAction ergebniseingangDokumentErzeugenAction;

  public ErgebniseingangActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<Ergebniseingang>> getActionEntriesSorted() {
    List<ActionEntry<Ergebniseingang>> result = new ArrayList<>();

    result.add(ergebniseingangEditAction);
    result.add(ergebniseingangWiederherstellenAction);
    result.add(ergebniseingangDateiAnzeigenAction);
    result.add(ergebniseingangDokumentErzeugenAction);

    return result;
  }
}
